## debian-edu-config 2.12.22

=== debian/changelog ===
debian-edu-config (2.12.22) unstable; urgency=medium

  * d/postinst: do not call update-mime anymore. Closes: #1010432.
  * d/control: bump standards version to 4.6.1.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 12:39:42 +0200

debian-edu-config (2.12.21) unstable; urgency=medium

  * Replace dependency on mime-support with one on media-types, thanks to
    Charles Plessy for the bug report and all the work on this in the first
    place. Closes: #1010102

 -- Holger Levsen <holger@debian.org>  Mon, 25 Apr 2022 17:22:41 +0200

debian-edu-config (2.12.20) unstable; urgency=medium

  * Regression fix upload.
  * debian/changelog:
    + Update missing changelog item in 2.12.18 upload stanza (for commit
      0e3432df).
  * debian/debian-edu-config.preinst:
    + Make .keytab file moval more robust/idempotent. Don't attempt moving
      .keytab files if /etc/debian-edu/host-keytabs is already a symlink.
  * debian/debian-edu-config.postinst:
    + Fix some typos (follow-up for 0e1df64b, v2.12.16).
  * share/debian-edu-config/tools/update-proxy-from-wpad:
    - Really send warnings from this script to stderr (follow-up for f827feba,
      v2.12.18).
  * share/debian-edu-config/tools/gosa-remove-host:
    - Fix path in comment (follow-up fix for dd2a1c79, v2.12.18).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Mar 2022 13:26:35 +0100

debian-edu-config (2.12.19) unstable; urgency=medium

  * Regression fix upload.
  * Makefile:
    - Install script share/debian-edu-config/tools/update-dlw-krb5-keytabs into
      bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Mar 2022 10:31:36 +0100

debian-edu-config (2.12.18) unstable; urgency=medium

  * etc/cups/cups-browsed-debian-edu.conf:
    - Let TJENER's print queues appear on Debian Edu clients, use same
      print queue names on clients as on TJENER. (Closes: #1005841).
  * sbin/debian-edu-pxeinstall:
    - Don't append 'ipappend 2' to the kernel boot cmdline anymore as it
      confuses systemd when booting into the installed system. This resolves
      the graphical.target not coming up on Debian Edu workstations that got
      installed via the PXE/network based Debian Installer method. (Closes:
      #1006362).
    - Silence stderr output if the artwork theme lacks a plymouth subfolder.
      This can be silently ignored and should not trouble Debian Edu admins.
  * sbin/update-hostname-from-ip:
    - Simply if-then-else-clauses, reduce number of exit calls, don't exit with
      non-zero exitcode. Improve syslog messages if things fail. (Closes:
      #1006604).
  * share/debian-edu-config/squid.conf:
    - Prefer DNSv4 lookups over DNSv6. Debian Edu does not yet fully support
      IPv6 and many schools still use IPv4 primarily. This gives a great
      performance boost to squid installations if IPv6 internet is not fully
      available for whatever reason. (Closes: #1006375).
  * share/debian-edu-config/tools/{update-proxy-from-wpad,wpad-extra}:
    - Don't fail if proxy update is not possible, only send warnings to stderr
      and syslog. Don't source wpad-extra script, execute it instead and capture
      stdout. (Closes: #1008067).
    - White-space clean-up (use only tabs for indentation).
  * Move /etc/debian-edu/host-keytabs/* to /var/lib/debian-edu/host-keytabs/
    and replace directory /etc/debian-edu/host-keytabs by a symlink. (Closes:
    #1002019).
  * Makefile: Re-arrange installation of some files that are scripts and need
    exec filesystem permissions. Adjust lintian overrides for these, too.
  * lintian: Update some override phrases (adjustments to the most recent
    lintian version).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Mar 2022 09:53:57 +0100

debian-edu-config (2.12.17) unstable; urgency=medium

  [ Mike Gabriel ]
  * share/debian-edu-config/tools/clean-up-host-keytabs:
    - Don't fail on Kerberos principal removal.
    - Set executable bits of this file.
  * debian/control:
    + Add D (debian-edu-config): libsitesummary-perl (available starting with
      sitesummary 0.1.50). (Closes: #815695, #968268).

 -- Holger Levsen <holger@debian.org>  Sun, 13 Feb 2022 09:45:45 +0100

debian-edu-config (2.12.16) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * etc/exim4/exim-ldap-server-v4.conf: Accept incoming mail from internal
    network sent to root@<mynetwork-names>. (Closes: #1003727).

  [ Mike Gabriel ]
  * share/glib-2.0/schemas/31_debian-edu+mate.gschema.override: Add various
    long-term-used MATE settings overrides (some from Ubuntu MATE).
  * MATE screensaver: Offer "logout user" button on screensaver dialog after
    40min of inactivity and allow other users to salvage a workstation from
    an idle user (session).
  * share/debian-edu-config/tools/setup-freeradius-server: Fix integer
    comparison in run-by-root check. Script was not executable fully (not even
    as root).
  * etc/apache2/mods-available/debian-edu-userdir.conf:
    - White-space cleanup (tabs and spaces mixed).
    - CVE-2021-20001: Disable built-in PHP engine.
    - Add warning to not re-enable PHP interpretation in user dirs (with
      reference to our README).
  * README.public_html_with_PHP-CGI+suExec.md:
    - Provide documentation on how to enable suExec support in Apache2 userdirs
      (i.e. ~/public_html).
  * debian/NEWS:
    + Add file, inform about PHP being disabled in Apache2 user directories.
  * debian/debian-edu-config.fetch-ldap-cert: Drop retrieval of
    Debian-Edu_rootCA from this script. This now is the task of the
    fetch-rootca-cert script. (Closes: #971780).
  * debian/debian-edu-config.fetch-rootca-cert: Ensure proper symlinking of
    Debian-Edu_rootCA.crt in /usr/local/share/ca-certificates/ to
    Debian-Edu_rootCA.crt in /etc/ssl/ca-certificates. Forced symlinking is
    required, because earlier versions of the fetch-ldap-cert init script put
    Debian-Edu_rootCA.crt into /etc/ssl/ca-certificates/ as a file. Forced

