## debian-edu-config 2.12.25

=== debian/changelog ===
debian-edu-config (2.12.25) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * sbin/debian-edu-ltsp-install: Install firefox-esr l10n package conditionally
    in case the minidesktop thin client type has been chosen.

 -- Holger Levsen <holger@debian.org>  Sun, 13 Nov 2022 14:57:03 +0100

debian-edu-config (2.12.24) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Change D (d-e-c) on libpam-python to a versioned dependency
      (>= 1.1.0~git20220701.1d4e111-0.3~). Starting with this version,
      libpam-python has fully been ported to Python3. (Closes: #1020928).

 -- Holger Levsen <holger@debian.org>  Mon, 24 Oct 2022 23:28:55 +0200

debian-edu-config (2.12.23) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/isc-dhcp-server.service.eth1_only: Use nslcd instead
    of slapd as required service. Otherwise the DHCP service on a separate or
    additional LTSP server fails to start if it has been stopped before.
  * ldap-tools/ldap-debian-edu-install: After the move to MDB the slapd package
    recently stopped shipping the BDB related DB_CONFIG example file. Trying to
    copy the file breaks LDAP setup.
  * cf3/cf.finalize: Replace connman with network-manager-gnome in case the LXQt
    desktop environment is used during an installation including the Main server
    or LTSP server profile. (In these cases, ConnMan as the preferred LXQt
    network manager doesn't work well with the Debian Edu specific way network
    interfaces are set up.)

 -- Holger Levsen <holger@debian.org>  Mon, 17 Oct 2022 21:56:43 +0200
