=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
          libnet-netmask-perl,
          libnss3-tools,
          libpacparser1,
-         libpam-python,
+         libpam-python (>= 1.1.0~git20220701.1d4e111-0.3~),
          libproxy1-plugin-kconfig,
          libproxy1-plugin-webkit,
          libproxy1-plugin-networkmanager,
