## debian-edu-config 2.12.28

=== debian/changelog ===
debian-edu-config (2.12.28) unstable; urgency=medium

  [ Mike Gabriel ]
  * ldap-bootstrap/gosa.ldif: Adjust gosaAclTemplate to GOsa² 2.8 (all ->
    all/all).

 -- Holger Levsen <holger@debian.org>  Mon, 06 Feb 2023 21:22:46 +0100

debian-edu-config (2.12.27) unstable; urgency=medium

  * debian-edu-pxeinstall: adopt to recent changes in memtest86+. Thanks to
    Wolfgang Schweer.
  * gosa.conf.template: use LDAPS instead of LDAP to access tjener.
    Closes: #1030348. Thanks to Daniel Teichmann for the bug report and
    Wolfgang Schweer for the patch.

 -- Holger Levsen <holger@debian.org>  Mon, 06 Feb 2023 11:39:05 +0100

debian-edu-config (2.12.26) unstable; urgency=medium

  * tools/create-debian-edu-certs: use chown with colon instead of a dot,
    thanks lintian.
  * Explicitly use bash for ldap-tools/ldap-createuser-krb5,
    sbin/debian-edu-ltsp-chroot and testsuite/ldap-server, thanks lintian.
  * d/control:
    - drop obsolete depends on lsb-base, thanks lintian.
    - bump standards version to 4.6.2, no changes needed.
  * d/source/lintian-overrides: override some
    very-long-line-length-in-source-file warnings.
  * d/debian-edu-config.lintian-overrides:
    - convert to new syntax.
    - override a bunch of unused-debconf-template warnings.
    - override init.d-script-does-not-implement-status-option for internal init
      scripts.
    - override some bash-term-in-posix-shell where I confirmed those are false
      positive.

 -- Holger Levsen <holger@debian.org>  Mon, 30 Jan 2023 14:37:19 +0100
