## debian-edu-config 2.12.30

=== debian/changelog ===
debian-edu-config (2.12.30) unstable; urgency=medium

    d-i/finish-install: fix typo, thanks to Wolfgang Schweer.

 -- Holger Levsen <holger@debian.org>  Wed, 15 Feb 2023 15:14:02 +0100

debian-edu-config (2.12.29) unstable; urgency=medium

  * d-i/finish install: remove first local user (and kdc and ldap if set)
    passwords from debconf after setting them in the system. Thanks to
    Wolfgang Schweer. Closes: #1029077.
  * d-i/pre-pkgsel: only set kdc and ldap passwords on main-server, thanks to
    Wolfgang Schweer.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Feb 2023 17:48:44 +0100
