=== debian/changelog ===
debian-edu-config (2.12.31) unstable; urgency=medium

  * sbin/debian-edu-pxeinstall: adjust for memtest86+ 6.10-4, thanks to
    Wolfgang Schweer.
  * Turkish debconf translation update, thanks to Atila KOÇ. Closes: #1031668.

 -- Holger Levsen <holger@debian.org>  Sun, 26 Feb 2023 10:10:43 +0100
