=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mike Gabriel <sunweaver@debian.org>,
            Wolfgang Schweer <wschweer@arcor.de>,
            Dominik George <natureshadow@debian.org>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), debhelper
 Build-Depends-Indep: po-debconf,
@@ -21,7 +21,6 @@
 Package: debian-edu-config
 Architecture: all
 Depends: ${misc:Depends},
-         lsb-base,
          adduser,
          bind9-host,
          cfengine3,
