=== debian/tests/control ===
Tests: install-task-pkgs, improve-desktop-l10n, configure-edu-gateway
Depends: debian-edu-install, education-common, locales
Restrictions: needs-root allow-stderr
