## debian-edu-config 2.12.32

=== debian/changelog ===
debian-edu-config (2.12.32) unstable; urgency=medium

  * debian-edu-ltsp-install: fix failure with absent BD iso images. Patch
    thanks to Wolfgang Schweer. Closes: #1033451.

 -- Holger Levsen <holger@debian.org>  Mon, 27 Mar 2023 20:40:47 +0200
