## debian-edu-config 2.12.41~deb12u1

=== debian/changelog ===
debian-edu-config (2.12.41~deb12u1) bookworm; urgency=medium

  * Upload to bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 03 Dec 2023 08:45:42 +0100

debian-edu-config (2.12.41) unstable; urgency=medium

  [ Guido Berhoerster ]
  * gosa-sync: Decode the user password which GOsa substitutes base64 encoded.
    This fixes a bug where the user password could not be set or changed.
    (related to #1052159).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Dec 2023 21:44:38 +0100

debian-edu-config (2.12.40~deb12u1) bookworm; urgency=medium

  * Upload to bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Nov 2023 08:36:15 +0100

debian-edu-config (2.12.40) unstable; urgency=medium

  * share/debian-edu-config/gosa.conf.template:
    + Deploy GOsa² based on its classic theming, the Materialize CSS theme is
      too immature to be used in production.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Nov 2023 08:32:34 +0100

debian-edu-config (2.12.39) unstable; urgency=medium

  * ldap-bootstrap/root.ldif: Fix gosaAclEntry of BaseDN object.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Nov 2023 09:56:39 +0100

debian-edu-config (2.12.38) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix main server network setup. Closes: #1055647.

 -- Holger Levsen <holger@debian.org>  Fri, 10 Nov 2023 16:42:11 +0100

debian-edu-config (2.12.37) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Discard excessive nullmailer logging.
    Filter out log messages coming from a client running nullmailer since it is
    very verbose and can easily fill up the filesystem under /var/log.
    (Closes: #1003728).
  * ldap-createuser-krb5: fix password prompt.
  * Disable cfengine3 systemd service.
    Disabling only cf-execd in 75b4e3f7 (see #1041323) did not work as it gets
    pulled in as a dependency of cfengine3. Thus disable the cfengine3 service
    instead.
  * Rewrite testsuite/filesystems, add exception for /boot
    Rewrite for clarity and robustness. Add exception for /boot which may use
    ext2.
  * testsuite/ldap-{server,client}: Fix invocation of ldapsearch.
    The -h command line option has been removed, ldapsearch now only accepts a
    LDAP URI via the -H option.
    Also do not use the deprecated egrep and get rid of unnecessary wc.
    Use dig and awk instead of host and interpret the SRV record properly.
  * testsuite/ldap-client: Improve error message on PAM modules.
  * Fix remaining invocations of ldapsearch.
  * Disable using the LDAP PAM module (we use pam_krb5.so instead).
  * setup-freeradius-server: Set commonName and subjectAltNames on the server
    cert.
    (Closes: #1010159).
  * setup-freeradius-server: Improve robustness
    Use update-ini-file for OpenSSL config files.
    Use more precise sed substitutions which do not rely on example values.
    Increase password length from 8 to 16 characters.
  * Change minimum UID/GID for LDAP user to 2000 (Closes: #1003192)
    With this change local user accounts now use the UID/GID range 1000-1999
    instead of 500-999 whereas LDAP user accounts use 2000-59999 instead of
    1000-59999.  This is to reserve UID/GID 0-999 for system users which is the
    default in Debian and not conforming to it is increasingly problematic as
    packages are beginning to use systemd-sysusers for creating system user
    accounts which does not obey /etc/addusers.conf or /etc/login.defs by default.
    The first user account created during installation now has UID/GID 2000 instead
    of 1000.
    Configure gosa and adjust ldap-createuser-krb5 accordingly.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Sep 2023 09:57:06 +0200

debian-edu-config (2.12.36) unstable; urgency=medium

  [ Mike Gabriel ]
  * ldap-bootstrap/gosa.ldif:
    + Provide ou=incoming potentially used by GOsa²'s class 'newArpDevice'.
      This is esp. to silence GOsa² error messages but might be useful at a
      later point of time.

  [ Guido Berhoerster ]
  * Update proxy settings in dconf.
    This adds support in update-proxy-from-wpad for setting the proxy default
    values in dconf (used by e.g. GNOME components). The values are added to
    a site database, it also packages an empty local database in order to
    obviate the need to modify the user profile. (Closes: #955702)
  * Remove use of obsolete grep aliases. These have been obsolete forever and
    have been removed from GNU grep upstream.
  * Use command -v builtin over external which command
  * Do not solely rely on the presence of init scripts in maintainer scripts.
    Check also for systemd service files.
  * Remove direct invocation of wlan init script. This no longer exists in
    Debian.
  * Replace invocation of fetch-ldap-cert init script in DHCP hooks and rename.
    dhclient hook in Makefile.
    This has been replaced by fetch-rootca-cert (see #971780).
  * Silence exim4 warnings in logfile.
    The lack of keep_environment in the exim4 configuration for clients leads to
    continuous warnings in the logfile:
    'Warning: purging the environment. Suggested action: use keep_environment.'
    Setting it to an empty value (which is the default) silences that.
  * Ship PAM group.conf for workstations. LDAP users should be members of
    several system groups on networked (roaming) workstations.
  * Add missing dependency on iptables
    This is required by debian-edu-update-netblock (Closes: #1051446).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Sep 2023 23:04:46 +0200

debian-edu-config (2.12.35) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Remove configure-edu-gateway. (Closes: #1043407).
    The script is obsoleted by the more sophisticated configuration
    abilities provided by the debian-edu-router-config package.
  * Do not hardcode X2Go desktop to Xfce. (Closes: #1049396).
    Add a commandline option --x2go_desktop for specifying the default desktop
    and make a best effort finding a usable desktop if none is specified.

