## debian-edu-config 2.12.44~deb12u1

=== debian/changelog ===
debian-edu-config (2.12.44~deb12u1) bookworm; urgency=medium

  * Upload to bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 10:52:12 +0100

debian-edu-config (2.12.44) unstable; urgency=medium

  * share/debian-edu-config/tools/wpad-extract:
    + Update IP of www.debian.org.
    + Don't use the proxy for accessing wpad.
  * share/debian-edu-config/tools/fetch-rootca-cert:
    + Don't use the proxy for accessing wwww.intern.
  * debian/debian-edu-config.maintscript:
    + Remove stray /etc/dhcp/dhclient-exit-hooks.d/fetch-ldap-cert. Should have
      been removed with 2.12.34 already. (Closes: #1061560).
    + Use <prior-version> version numbers as recommended on the
      dpkg-maintscript-helper man page (the current upload version suffixed
      by '~').

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 Jan 2024 15:07:09 +0100

debian-edu-config (2.12.43) unstable; urgency=medium

  [ Holger Levsen ]
  * d/changelog:
    - add missing Closes: for #1021688, #1024033 and #1039461 in previous
      entries to ease future debugging.
    - fix too long line in previous entry.

 -- Holger Levsen <holger@debian.org>  Mon, 25 Dec 2023 11:56:02 +0100

debian-edu-config (2.12.42) unstable; urgency=medium

  * share/debian-edu-config/tools/update-proxy-from-wpad: Ignore missing dconf
    command. (Closes: #1057777). It might be missing on main-server
    installations where no desktop environment is installed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Dec 2023 08:15:45 +0100
