=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Holger Levsen <holger@debian.org>,
            Mike Gabriel <sunweaver@debian.org>,
-           Wolfgang Schweer <wschweer@arcor.de>,
            Dominik George <natureshadow@debian.org>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -30,6 +29,7 @@
          education-tasks,
          fping,
          gnutls-bin,
+         iptables,
          isenkram-cli,
          ldap-utils,
          libconfig-inifiles-perl,
