## debian-edu-config 2.12.45

=== debian/changelog ===
debian-edu-config (2.12.45) unstable; urgency=medium

  * share/debian-edu-config/tools/gosa-sync:
    + From password TMPFILE, strip newline character from end-of-file.
      The LDAP whoami call for verifying the correctness of the passed-in
      user password requires a password file without trailing newline
      to succeed.
  * share/debian-edu-config/gosa.conf.template:
    + Various white-space fixes.
    + Don't (single-)quote placeholders in plugin hooks. GOsa² will add single-
      quotes around placeholder variables when generating hook commands. Esp.
      when using single quotes around placeholders, they will be duplicated
      and thus eliminate eacher other. This problem occurred for users
      with space characters in their DN while changing the user's password.
      (The hook would only operate on a partial DN string, split at first
      space char occurrence in the DN string).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 25 Jul 2024 09:52:14 +0200
