## debian-edu-config 2.12.46~deb12u1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,15 @@
 PACKAGE = debian-edu-config
+
+NULL =
 
 PROGS = \
 	debian-edu-ldapserver \
 	update-ini-file \
-	debian-edu-copy-pki
-
-SPROGS = debian-edu-fsautoresize \
+	debian-edu-copy-pki \
+	$(NULL)
+
+SPROGS = \
+	debian-edu-fsautoresize \
 	debian-edu-ltsp-chroot \
 	debian-edu-ltsp-install \
 	debian-edu-ltsp-initrd \
@@ -14,31 +18,41 @@
 	debian-edu-restart-services \
 	debian-edu-test-install \
 	debian-edu-update-netblock \
-	update-hostname-from-ip
-
-INSTALL     = install -D -p -m 755
-INSTALL_DATA= install -D -p -m 644
-
-prefix     = /usr/local
-sysconfdir = /etc
-cf3dir     = $(sysconfdir)/cfengine3/debian-edu
-bindir     = $(prefix)/bin
-sbindir    = $(prefix)/sbin
-docdir     = $(prefix)/share/doc/$(PACKAGE)
-mandir     = $(prefix)/share/man
-ldapdir    = $(sysconfdir)/ldap
+	update-hostname-from-ip \
+	$(NULL)
+
+LIBEXECPROGS = \
+	debian-edu-cups-queue-autoflush-for-netgroup-hosts \
+	debian-edu-cups-queue-autoreenable-for-netgroup-hosts \
+	debian-edu-fsautoresize-for-netgroup-hosts \
+	$(NULL)
+
+INSTALL        = install -D -p -m 755
+INSTALL_DATA   = install -D -p -m 644
+
+prefix         = /usr/local
+sysconfdir     = /etc
+cf3dir         = $(sysconfdir)/cfengine3/debian-edu
+bindir         = $(prefix)/bin
+sbindir        = $(prefix)/sbin
+docdir         = $(prefix)/share/doc/$(PACKAGE)
+mandir         = $(prefix)/share/man
+ldapdir        = $(sysconfdir)/ldap
 slbackupphpdir = $(sysconfdir)/slbackup-php
-schemadir  = $(ldapdir)/schema
-dhcpdir   = $(sysconfdir)/dhcp
-libdir     = /usr/lib
-pkglibdir  = $(libdir)/debian-edu-config
-vardir     = /var
-wwwdir     = /etc/debian-edu/www
+schemadir      = $(ldapdir)/schema
+dhcpdir        = $(sysconfdir)/dhcp
+libdir         = /usr/lib
+pkglibdir      = $(libdir)/debian-edu-config
+libexecdir     = /usr/libexec
+pkglibexecdir  = $(libexecdir)/debian-edu-config
+vardir         = /var
+wwwdir         = /etc/debian-edu/www
 
 
 CF3FILES = \
 	cf.adduser \
 	cf.apache2 \
+	cf.cfengine3 \
 	cf.cups \
 	cf.desktop-networked \
 	cf.dhcpserver \
@@ -54,6 +68,7 @@
 	cf.ldapserver \
 	cf.ldapclient \
 	cf.bind \
+	cf.pam \
 	cf.pxeinstall \
 	cf.ntp \
 	cf.samba \
@@ -64,7 +79,8 @@
 	cf.xrdp \
 	cf.icinga \
 	edu.cf \
-	promises.cf
+	promises.cf \
+	$(NULL)
 
 # Files to install in /etc/
 SYSCONFFILES = \
@@ -80,6 +96,7 @@
 	X11/Xsession.d/09debian-edu-missing-home \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
 	X11/Xsession.d/55lightdm_gtk-greeter-rc \
+	dconf/profile/user \
 	debian-edu/nightkill.conf \
 	debian-edu/pxeinstall.conf \
 	default/munin-node \
@@ -98,7 +115,6 @@
 	filesystems \
 	firefox-esr/debian-edu.js \
 	php/apache2/php-debian-edu.ini \
-	insserv/overrides/ntp \
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-debian-edu-mdb.conf \
 	samba/smb-debian-edu.conf \
@@ -130,18 +146,21 @@
 	nagios3/debian-edu/service_templates.cfg \
 	nagios3/debian-edu/timeperiods.cfg \
 	munin/debian-edu-munin-node.conf \
-	polkit-1/localauthority.conf.d/80-edu-admin.conf
+	polkit-1/localauthority.conf.d/80-edu-admin.conf \
+	ntpsec/ntp.d/debian-edu.conf \
+	$(NULL)
 
 SYSCONFSCRIPTS = \
 	dhcp/dhclient-exit-hooks.d/autofs-reload \
 	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
-	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
+	dhcp/dhclient-exit-hooks.d/fetch-rootca-cert \
 	dhcp/dhclient-exit-hooks.d/hostname \
 	mklocaluser.d/20-debian-edu-config \
 	shutdown-at-night/clients-generator \
 	resolvconf/update.d/bind-debian-edu \
 	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
-	X11/Xsession-debian-edu
+	X11/Xsession-debian-edu \
+	$(NULL)
 
 SCHEMAS = \
 	autofs-debian-edu.schema \
@@ -162,7 +181,8 @@
 	gosa-samba3.schema \
 	gofax.schema \
 	goserver.schema \
-	goto-mime.schema
+	goto-mime.schema \
+	$(NULL)
 
 LDIFS = \
 	root.ldif \
@@ -175,7 +195,8 @@
 	krb5.ldif \
 	ltsp.ldif \
 	gosa.ldif \
-	gosa-server.ldif
+	gosa-server.ldif \
+	$(NULL)
 
 LDAPPROGRAMS = \
 	ldap-add-host-to-netgroup \
@@ -183,7 +204,8 @@
 	ldap-createuser-krb5 \
 	ldap2netgroup \
 	ldap-debian-edu-install \
-	sitesummary2ldapdhcp
+	sitesummary2ldapdhcp \
+	$(NULL)
 
 WWWFILES = \
 	index.html.ca \
@@ -204,10 +226,12 @@
 	index.html.zh-tw \
 	skl-ren_css.css \
 	logo-trans.png \
-	wpad.dat
+	wpad.dat \
+	$(NULL)
 
 LIBFILES = \
 	thunderbird/distribution/policies.json \
+	$(NULL)
 
 all:
 	$(MAKE) -C www
@@ -219,6 +243,7 @@
 	install -d $(DESTDIR)$(ldapdir)
 	install -d $(DESTDIR)$(dhcpdir)
 	install -d $(DESTDIR)$(libdir)
+	install -d $(DESTDIR)$(pkglibexecdir)
 
 # program's manpages are autodetected. 
 	set -e ; for prog in $(PROGS); do \
@@ -237,6 +262,10 @@
 		fi \
 	done
 
+	set -e ; for libexecprog in $(LIBEXECPROGS); do \
+		$(INSTALL) libexec/$$libexecprog $(DESTDIR)$(pkglibexecdir) ; \
+	done
+
 	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
 	$(INSTALL_DATA) README.public_html_with_PHP-CGI+suExec.md $(DESTDIR)$(docdir)/README.public_html_with_PHP-CGI+suExec.md
 
@@ -263,7 +292,6 @@
 		share/debian-edu-config/killer.cron \
 		share/debian-edu-config/tools/passwd \
 		share/debian-edu-config/tools/clean-up-host-keytabs \
-		share/debian-edu-config/tools/configure-edu-gateway \
 		share/debian-edu-config/tools/create-debian-edu-certs \
 		share/debian-edu-config/tools/create-server-cert \
 		share/debian-edu-config/tools/cups-queue-autoflush \
@@ -321,6 +349,10 @@
 		share/debian-edu-config/tools/copy-host-keytab \
 		share/debian-edu-config/tools/improve-desktop-l10n \
 		share/debian-edu-config/tools/install-task-pkgs \
+		share/debian-edu-config/tools/chromium-ldapconf \
+		share/debian-edu-config/tools/firefox-ldapconf \
+		share/debian-edu-config/tools/nat \
+		share/debian-edu-config/tools/fetch-rootca-cert \
 	; do \
 		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -330,6 +362,7 @@
 	set -e ; for f in \
 		share/debian-edu-config/avahi.smb.service \
 		share/debian-edu-config/rsyslog-collector \
+		share/debian-edu-config/rsyslog-filters \
 		share/debian-edu-config/smb.conf.edu-site \
 		share/debian-edu-config/firefox-networked-prefs.js \
 		share/debian-edu-config/squid.conf \
@@ -351,24 +384,3 @@
 		share/debian-edu-config/pam-config-ccreds-save \
 		share/debian-edu-config/pam-config-mkhomedir \
 		share/debian-edu-config/pam-config-nopwdchange \
-		share/debian-edu-config/pam-nopwdchange.py \
-		share/firefox-esr/distribution/policies.json \
-		share/glib-2.0/schemas/21_debian-edu+gdm.gschema.override \
-		share/glib-2.0/schemas/31_debian-edu+mate.gschema.override \
-		share/glib-2.0/schemas/32-debian-edu.arctica-greeter.gschema.override  \
-		share/mate-panel/layouts/debian-edu-mate.layout \
-	; do \
-		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
-	done
-
-# Using manpages autodetection : 
-	set -e ; for program in $(LDAPPROGRAMS) ; do \
-		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
-		if [ -e "share/man/man1/$$program.1" ]; \
-		then \
-		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$program.1 ; \
-		fi \
-	done
-	set -e ; for schema in $(SCHEMAS) ; do \
-		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
-	done
