=== debian/changelog ===
debian-edu-config (2.12.46~deb12u1) bookworm; urgency=medium

  * Upload to bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jun 2025 15:33:00 +0200

debian-edu-config (2.12.46) unstable; urgency=medium

  [ Holger Levsen ]
  * Team upload.
  * Remove myself from uploaders as discussed during FOSDEM. It was a pleasure
    and an honor!

  [ Frans Spiesschaert ]
  * sbin/debian-edu-pxeinstall:
    - remove unnecessary article.
    - remove extra space.
  * etc/exim4/exim-ldap-server-v4.conf: no longer give exim4 a reason to
    complain about "tainted search query is not properly quoted".

 -- Holger Levsen <holger@debian.org>  Wed, 05 Mar 2025 13:08:19 +0100
