=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
-           Holger Levsen <holger@debian.org>,
            Mike Gabriel <sunweaver@debian.org>,
            Dominik George <natureshadow@debian.org>,
 Standards-Version: 4.6.2
