## debian-edu-config 2.12.900

=== debian/changelog ===
debian-edu-config (2.12.900) unstable; urgency=medium

  * Debian Edu 13 development has started.

  * debian/control:
    + Add to D: field: bind9-dnsutils. The 'dig' utility is required by fetch-
      rootca-cert script and various test scripts.
    + Drop from D: field: libproxy1-plugin-*. All of them are transitional
      packages and libproxy has been replaced by libpacparser1 (using its
      pactester tool) ages ago. (Closes: #1064900).
    + Add to D: curl. Required by wpad-extract and fetch-rootca-cert scripts.
  * cf3/cf.homes:
    - White-space amendments.
    - Assure that /etc/default/autofs has the LDAPBASE variable configured.
      This fixes LDAP automounting on workstation hosts.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jun 2025 16:16:08 +0200
