## debian-edu-config 2.12.901

=== debian/changelog ===
debian-edu-config (2.12.901) unstable; urgency=medium

  * etc/dovecot/local.conf:
    - Adapt to config setting changes in Dovecot 2.4.x.
  * cf3/:
    - Stop installing packages via cfengine3. The required packages should
      have been pulled in via meta-packages already (and if not, then this
      needs to be amended in debian-edu src:pkg).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jun 2025 10:03:03 +0200
